FreeMat

- Main Page
- Related Pages

vtkVolumeRayCastCompositeFunction

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkVolumeRayCastCompositeFunction is a ray function that can be used within a vtkVolumeRayCastMapper. This function performs compositing along the ray according to the properties stored in the vtkVolumeProperty for the volume.

To create an instance of class vtkVolumeRayCastCompositeFunction, simply invoke its constructor as follows

      obj = vtkVolumeRayCastCompositeFunction

# Methods

The class vtkVolumeRayCastCompositeFunction has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVolumeRayCastCompositeFunction class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVolumeRayCastCompositeFunction = obj.NewInstance ()`
- `vtkVolumeRayCastCompositeFunction = obj.SafeDownCast (vtkObject o)`
- `obj.SetCompositeMethod (int )` - Set the CompositeMethod to either Classify First or Interpolate First
- `int = obj.GetCompositeMethodMinValue ()` - Set the CompositeMethod to either Classify First or Interpolate First
- `int = obj.GetCompositeMethodMaxValue ()` - Set the CompositeMethod to either Classify First or Interpolate First
- `int = obj.GetCompositeMethod ()` - Set the CompositeMethod to either Classify First or Interpolate First
- `obj.SetCompositeMethodToInterpolateFirst ()` - Set the CompositeMethod to either Classify First or Interpolate First
- `obj.SetCompositeMethodToClassifyFirst ()` - Set the CompositeMethod to either Classify First or Interpolate First
- `string = obj.GetCompositeMethodAsString (void )` - Set the CompositeMethod to either Classify First or Interpolate First